package reflect;

import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.util.Calendar;
import java.util.Properties;

/**
 * @author zhrb 利用ShapeFactory，动态地根据所要创建的类型与参数，生产出相应的形状
 */

public class ShapeTester {

	public static void main(String[] args) throws ClassNotFoundException, InstantiationException,
			IllegalAccessException, IllegalArgumentException, InvocationTargetException {
		Shape[] shapes = new Shape[3];
		//shapes[0] = ShapeFactory.makeShape("reflect.Circle", 10);// 出错，因为Circle中不止一个构造函数
		shapes[1] = ShapeFactory.makeShape("reflect.Square", 10);
		shapes[2] = ShapeFactory.makeShape("reflect.Triangle", 10, 10, 10);
		for (Shape e : shapes)
			System.out.println(e);

	}
}
