package reflect;

public class Triangle extends Shape {
	private  double  sideA;
	private  double  sideB;
	private  double  sideC;
	
	public Triangle(double sideA, double sideB,double sideC){
		this.sideA = sideA;
		this.sideB = sideB;
		this.sideC = sideC;
		this.setArea();
		this.setPerimeter();
	}
	@Override
	public String toString() {
		return "Triangle [sideA=" + sideA + ", sideB=" + sideB + ", sideC="
				+ sideC + ", getArea()=" + getArea() + ", getPerimeter()="+getPerimeter()+"]";
	}
	@Override
	protected void setArea() {
		double p = (sideA + sideB + sideC) /2;
		this.area = Math.sqrt(p* (p-sideA) * (p-sideB) * (p-sideC));
	}

	@Override
	protected void setPerimeter() {
		this.perimeter = sideA + sideB + sideC;
	}

}
