package reflect;

import java.util.ArrayList;
import java.util.Date;

public class GetClassTest {
	public static void main(String[] args) throws ClassNotFoundException {
		Employee e = new Employee();
		//获得类类型的第1种方法
		Class c1 = e.getClass();
		byte[] bytes = new byte[1024];
		Class c = bytes.getClass();
		System.out.println("方法1 getClass():"+c1.getName()+", "+c.getName());
		//获得类类型的第2种方法
		Class c3a = Date.class;
		Class c3b = int.class;
		Class c3c = Double[].class;
		Class c3d = double[].class;
		Class c3e = ArrayList.class;
		System.out.println("方法2 .class:"+c3a.getName()+" "+c3b.getName()+" "+c3c.getName()+" "+c3d.getName()+" "+c3e.getName()+" ");
		//获得类类型的第3种方法
		String className = "java.util.Date";
		String cn2 = "java.lang.String";
		Class c2 = Class.forName(className);
		System.out.println("方法3 Class.forName:"+c2.getName()+", "+Class.forName(c2.getName()));
		
		Class cDoubleArray = Class.forName("[D");
		System.out.println(cDoubleArray.getName());
	}
}