package reflect;

public abstract class Shape {
	public final static double PI = Math.PI;
	protected double area;
	protected double perimeter;
	
	public double getArea(){
		return this.area;
	}
	public double getPerimeter(){
		return this.perimeter;
	}
	abstract protected void setArea();
	abstract protected void setPerimeter();
}
