package reflecthomework;

public class Triangle extends Shape {
	private double sideA;
	private double sideB;
	private double sideC;

	public Triangle() {
		sideA = 1;
		sideB = 1;
		sideC = 1;
	}

	public Triangle(double sideA, double sideB, double sideC) {
		this.sideA = sideA;
		this.sideB = sideB;
		this.sideC = sideC;

	}

	@Override
	public double getArea() {
		double p = (sideA + sideB + sideC) / 2;
		return Math.sqrt(p * (p - sideA) * (p - sideB) * (p - sideC));
	}

	@Override
	public double getPerimeter() {
		return sideA + sideB + sideC;
	}

	@Override
	public String toString() {
		return "Triangle [sideA=" + sideA + ", sideB=" + sideB + ", sideC=" + sideC + "]";
	}
	
	

}
